package userlockkey

import (
	"strconv"
)

var (
	preOrder = "Order-" //分布式锁现货委托单+划转前缀

	preFutOrder = "futOrder-" //分布式锁u本位--合约委托单+划转前缀

	preFutCoinOrder = "futCoinOrder-" //分布式锁币本位--合约委托单+划转前缀
)

// GetUserLockKey 分布式锁现货 用户 key
func GetUserLockKey(userId int) string {
	return preOrder + strconv.Itoa(userId)
}

// GetUserFutLockKey u本位--分布式锁合约 用户 key
func GetUserFutLockKey(userId int) string {
	return preFutOrder + strconv.Itoa(userId)
}

// GetUserFutCoinLockKey 币本位--分布式锁合约 用户 key
func GetUserFutCoinLockKey(userId int) string {
	return preFutCoinOrder + strconv.Itoa(userId)
}
